{% extends "base.html" %}

{% load staticfiles %}

{% block title %}Risk Types{% endblock %}

{% block content %}
    <div class="box" id="risk_types_list">

        <div class="box-header with-border bg-green-gradient">
            <h3 class="box-title text-bold">Risk Types List</h3>
        </div>

        <div class="box-body">
            <div>
                <input class="col-sm-3 margin-r-5 margin-bottom" style="height: 33px; vertical-align: bottom"
                       type="text" placeholder="Search" v-model="search_term" aria-label="Search">
                <button class="btn btn-primary text-bold" v-on:click.prevent="getRiskTypes()">
                    <i class="fa fa-search"></i>&nbsp;Search
                </button>
                <a class="btn btn-danger text-bold" v-bind:href="'add/'"><i class="fa fa-file"></i>&nbsp;Add Risk Type</a>
            </div>

            <table class="table table-bordered">
                <thead class="bg-gray-light">
                    <tr>
                        <th style="width: 10px">#</th>
                        <th>Name</th>
                        <th>Fields</th>
                        <th style="width: 90px">Buttons</th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="(riskType, index) in riskTypes">
                        <td>${index + 1}</td>
                        <td>${riskType.type_name}</td>
                        <td>
                            <template v-for="(risk_type_field, risk_type_field_index) in riskType.risk_type_fields">
                                <span v-if="risk_type_field_index == riskType.risk_type_fields.length - 1">
                                    ${risk_type_field.field_name} (${risk_type_field.field_type})
                                </span>
                                <span v-else>
                                    ${risk_type_field.field_name} (${risk_type_field.field_type}),
                                </span>
                            </template>
                        </td>

                        <td>
                            <a class="btn btn-primary btn-sm" v-bind:href="'edit/' + riskType.id + '/'">
                                <i class="fa fa-edit"></i>
                            </a>
                            <button class="btn btn-danger btn-sm" v-on:click="deleteRiskType(riskType.id)">
                                <i class="fa fa-trash-o fa-lg"></i>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>

{% endblock %}

{% block javascript %}
    {{ block.super }}

    <script type="text/javascript" src="{% static 'js/risk_types.js' %}"></script>
{% endblock %}
